PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP RULE

## Name

DROP RULE -- Removes existing rules from the database

## Synopsis

    DROP RULE name [, ...]

### Inputs

`name`

  The name of an existing rule to drop.

### Outputs

`DROP`

  Message returned if successful.

`ERROR: Rule or view "`name`" not found`

  This message occurs if the specified rule does not exist.

## Description

DROP RULE drops a rule from the specified Postgres rule system. Postgres will immediately cease enforcing it and will purge its definition from the system catalogs.

### Notes

The DROP RULE statement is a Postgres language extension.

Refer to CREATE RULE for information on how to create rules.

Once a rule is dropped, access to historical information the rule has written may disappear.

## Usage

To drop the rewrite rule `newrule`:

    DROP RULE newrule;

## Compatibility

### SQL92

There is no DROP RULE in SQL92.

Prev | Home | Next
DROP OPERATOR | Up | DROP SEQUENCE